/*-------------------------------------------------------------------------------------------------\
| Greg Howe's Power Meter Device
|
| File:			POWER.H
|
|   Date   | Notes
|----------|---------------------------------------------------------------------------------------
| 09/25/01 | Created.
\-------------------------------------------------------------------------------------------------*/


//-------------------------------------------------------------------------------------------------
//  Global #defines
//-------------------------------------------------------------------------------------------------

#define	TRUE	1
#define	FALSE	0


//-------------------------------------------------------------------------------------------------
//  Global Function Declarations
//-------------------------------------------------------------------------------------------------

	void	interrupt	ISR			(void);		// Note that "interrupt" is a PICC keyword for the ISR
	void					Initialize	(void);		// To initialize the damn thing
	void					Fault			(unsigned char FaultNumberIn);		// Logging Fault routine


	
//-------------------------------------------------------------------------------------------------
//  Global Variables Declarations
//-------------------------------------------------------------------------------------------------

	// For comments on these variables, see Global Variable Declarations in RA3LM.C

	extern	bank2	signed	long	LpfPeakPower;		// Low pass filltered Peak Power
	extern	bank2	signed	long	LpfPeakCurrent;	// Low pass filltered Peak voltage
	extern	bank2	signed	long	LpfPeakVoltage;	// Low pass filltered Peak current
	
	extern	bank1	bit	FlgPowerUp;			// Flag that we're powering up.
	extern	bank1	bit	FlgSystemError;	// Flag that something went horribly, horribly wrong.

//-------------------------------------------------------------------------------------------------
//  Define Macros
//-------------------------------------------------------------------------------------------------

// None

	

